# Interface StyleDefaultsItem

#### Hierarchy

- StyleDefaultsItem

#####
Index

### Properties

backgroundColor
borderColor
descriptionStyle
hoverBackgroundColor
hoverBorderColor
selectedBackgroundColor
selectedBorderColor
titleStyle

## Properties

### backgroundColor

backgroundColor: string

The background color of the timeline items.

### borderColor

borderColor: string

The border color of the timeline items.

### descriptionStyle

descriptionStyle: object

The CSS style object defining the style of the timeline item description text.

### hoverBackgroundColor

hoverBackgroundColor: string

The background color of the highlighted timeline items.

### hoverBorderColor

hoverBorderColor: string

The border color of the highlighted timeline items.

### selectedBackgroundColor

selectedBackgroundColor: string

The background color of the selected timeline items.

### selectedBorderColor

selectedBorderColor: string

The border color of the selected timeline items.

### titleStyle

titleStyle: object

The CSS style object defining the style of the timeline item title text.

Generated using TypeDoc